<html>
<head>
<title> FOLHA DE PAGAMENTO </title>
<link href="inclusos/css_precopratico.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php
error_reporting(0);
ini_set("display_errors", 0 );
header('Content-Type: text/html; charset=utf-8');
include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
include("seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página

?>
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.1/themes/base/minified/jquery-ui.min.css" type="text/css" />
<script type="text/javascript" src="https://code.jquery.com/ui/1.10.1/jquery-ui.min.js"></script>    
<!-- Bootstrap 3.3.2 -->
<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
<!-- Font Awesome Icons -->
<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
<!-- Ionicons -->
<link href="https://code.ionicframework.com/ionicons/2.0.0/css/ionicons.min.css" rel="stylesheet" type="text/css" />
<!-- Morris chart -->
<link href="plugins/morris/morris.css" rel="stylesheet" type="text/css" />
<!-- jvectormap -->
<link href="plugins/jvectormap/jquery-jvectormap-1.2.2.css" rel="stylesheet" type="text/css" />
<!-- Daterange picker -->
<link href="plugins/daterangepicker/daterangepicker-bs3.css" rel="stylesheet" type="text/css" />
<!-- Theme style -->
<link href="dist/css/AdminLTE.min.css" rel="stylesheet" type="text/css" />
<!-- AdminLTE Skins. Choose a skin from the css/skins 
	 folder instead of downloading all of them to reduce the load. -->
<link href="dist/css/skins/_all-skins.min.css" rel="stylesheet" type="text/css" />
<?php
//Transferir o arquivo
if ($_GET['Importar'] == "Sim") {

    if (is_uploaded_file($_FILES['filename']['tmp_name'])) {
        echo "<h1>" . "Arquivo ". $_FILES['filename']['name'] ." transferido com sucesso ." . "</h1>";
        //readfile($_FILES['filename']['tmp_name']);
    }
  
    //Importar o arquivo transferido para o banco de dados
    $handle = fopen($_FILES['filename']['tmp_name'], "r");
  
    while (($data = fgetcsv($handle, 1000, ";")) !== FALSE) {
     
	 
	 //COMEÇO CRIANDO OS PAGAMENTOS
	 
	 //VERIFICO SE EXISTE DATA DE PAGAMENTO
	 if($data[8] != ""){

	 //CRIO ADIANTAMENTO DE SALARIO COLABORADOR
	 if($data[2] != ""){
	$TituloConta = "Adto. de Salário do Colaborador # ". $data[1];
	$Tipo = "Pagar";
	$Categoria = "6";
	$Categoria2 = "61";
	$Status = "Aberto";
	$Observacao = "Conta Gerada Através de Importação Folha de Pagamento";
	$DataConta = InverteDataNovoSeparador($data[8], "/", "-");
	if($DataConta == ""){
	$DataConta	 = date('Y-m-d'); 
	}
	$DataCadastro = date('Y-m-d');
		
	$campos_tabela_contas = "idusuario, tipo_conta, categoria, categoria2, titulo_conta, valor_conta, data_conta, status_conta, observacao, datacadastro, idfilial, idcentrodecusto";
	$campos_value_contas = "'".$idfornecedor."', '$Tipo', '$Categoria', '$Categoria2', '$TituloConta', '".$data[2]."', '$DataConta', '$Status', '$Observacao', '$DataCadastro', '".$_SESSION['idfilial_usuario']."', '".$data[10]."'";	
	$salvar = Salvar("contas",  $campos_tabela_contas, $campos_value_contas);	 
	 }
	 //FIM PAGAMENTO COLABORADOR
	 
	 //CRIO SALÁRIO COLABORADOR
	 if($data[3] != ""){
	$TituloConta = "Pagamento de Salário do Colaborador # ". $data[1];
	$Tipo = "Pagar";
	$Categoria = "6";
	$Categoria2 = "60";
	$Status = "Aberto";
	$Observacao = "Conta Gerada Através de Importação Folha de Pagamento";
	$DataConta = InverteDataNovoSeparador($data[8], "/", "-");
	if($DataConta == ""){
	$DataConta	 = date('Y-m-d'); 
	}
	$DataCadastro = date('Y-m-d');
		
	$campos_tabela_contas = "idusuario, tipo_conta, categoria, categoria2, titulo_conta, valor_conta, data_conta, status_conta, observacao, datacadastro, idfilial, idcentrodecusto";
	$campos_value_contas = "'".$idfornecedor."', '$Tipo', '$Categoria', '$Categoria2', '$TituloConta', '".$data[3]."', '$DataConta', '$Status', '$Observacao', '$DataCadastro', '".$_SESSION['idfilial_usuario']."', '".$data[10]."'";	
	$salvar = Salvar("contas",  $campos_tabela_contas, $campos_value_contas);	 
	 }
	 //FIM PAGAMENTO SALÁRIO COLABORADOR

	//VALOR VR
	 if($data[4] != ""){
	 
	$TituloConta = "VR do Colaborador # ". $data[1];
	$Tipo = "Pagar";
	$Categoria = "6";
	$Categoria2 = "65";
	$Status = "Aberto";
	$Observacao = "Conta Gerada Através de Importação Folha de Pagamento";
	$DataConta = InverteDataNovoSeparador($data[8], "/", "-");
	if($DataConta == ""){
	$DataConta	 = date('Y-m-d'); 
	}
	$DataCadastro = date('Y-m-d');
		
	$campos_tabela_contas = "idusuario, tipo_conta, categoria, categoria2, titulo_conta, valor_conta, data_conta, status_conta, observacao, datacadastro, idfilial, idcentrodecusto";
	$campos_value_contas = "'".$idfornecedor."', '$Tipo', '$Categoria', '$Categoria2', '$TituloConta', '".$data[4]."', '$DataConta', '$Status', '$Observacao', '$DataCadastro', '".$_SESSION['idfilial_usuario']."', '".$data[10]."'";	
	$salvar = Salvar("contas",  $campos_tabela_contas, $campos_value_contas);	 
	 
	 }
	//FIM VALOR VR
	 
	 //VALOR TRANSPORTE
	 if($data[5] != ""){

	$TituloConta = "Vale Transporte do Colaborador # ". $data[1];
	$Tipo = "Pagar";
	$Categoria = "6";
	$Categoria2 = "64";
	$Status = "Aberto";
	$Observacao = "Conta Gerada Através de Importação Folha de Pagamento";
	$DataConta = InverteDataNovoSeparador($data[8], "/", "-");
	if($DataConta == ""){
	$DataConta	 = date('Y-m-d'); 
	}
	$DataCadastro = date('Y-m-d');
		
	$campos_tabela_contas = "idusuario, tipo_conta, categoria, categoria2, titulo_conta, valor_conta, data_conta, status_conta, observacao, datacadastro, idfilial, idcentrodecusto";
	$campos_value_contas = "'".$idfornecedor."', '$Tipo', '$Categoria', '$Categoria2', '$TituloConta', '".$data[5]."', '$DataConta', '$Status', '$Observacao', '$DataCadastro', '".$_SESSION['idfilial_usuario']."', '".$data[10]."'";	
	$salvar = Salvar("contas",  $campos_tabela_contas, $campos_value_contas);	 

	 
	 }	 
	 //FIM VALOR TRANSPORTE
	 
	 //1 PARCELA 13
	 if($data[6] != ""){

	$TituloConta = "1º Parc. 13º do # ". $data[1];
	$Tipo = "Pagar";
	$Categoria = "6";
	$Categoria2 = "63";
	$Status = "Aberto";
	$Observacao = "Conta Gerada Através de Importação Folha de Pagamento";
	$DataConta = InverteDataNovoSeparador($data[8], "/", "-");
	if($DataConta == ""){
	$DataConta	 = date('Y-m-d'); 
	}
	$DataCadastro = date('Y-m-d');
		
	$campos_tabela_contas = "idusuario, tipo_conta, categoria, categoria2, titulo_conta, valor_conta, data_conta, status_conta, observacao, datacadastro, idfilial, idcentrodecusto";
	$campos_value_contas = "'".$idfornecedor."', '$Tipo', '$Categoria', '$Categoria2', '$TituloConta', '".$data[6]."', '$DataConta', '$Status', '$Observacao', '$DataCadastro', '".$_SESSION['idfilial_usuario']."', '".$data[10]."'";	
	$salvar = Salvar("contas",  $campos_tabela_contas, $campos_value_contas);	 

	 
	 }	 
	 //FIM 1 PARCELA 13
	 
	//2 PARCELA 13
	 if($data[7] != ""){

	$TituloConta = "2º Parc. 13º do # ". $data[1];
	$Tipo = "Pagar";
	$Categoria = "6";
	$Categoria2 = "63";
	$Status = "Aberto";
	$Observacao = "Conta Gerada Através de Importação Folha de Pagamento";
	$DataConta = InverteDataNovoSeparador($data[8], "/", "-");
	if($DataConta == ""){
	$DataConta	 = date('Y-m-d'); 
	}
	$DataCadastro = date('Y-m-d');
		
	$campos_tabela_contas = "idusuario, tipo_conta, categoria, categoria2, titulo_conta, valor_conta, data_conta, status_conta, observacao, datacadastro, idfilial, idcentrodecusto";
	$campos_value_contas = "'".$idfornecedor."', '$Tipo', '$Categoria', '$Categoria2', '$TituloConta', '".$data[7]."', '$DataConta', '$Status', '$Observacao', '$DataCadastro', '".$_SESSION['idfilial_usuario']."', '".$data[10]."'";	
	$salvar = Salvar("contas",  $campos_tabela_contas, $campos_value_contas);	 

	 
	 }	 
	 //FIM 2 PARCELA 13	 	 
	 
	 }
		//FIM LOG			
		//echo $data[0] . " - " . $data[1] . " - " . $data[3] . " - " . $data[4] . " - " . $data[5] . " - " . $data[8] . "<br>";
    }
  
    fclose($handle);
  
		echo"
		<script type=\"text/Javascript\">
		alert('Importação Concluida com Sucesso!');
		window.close();</script>";
		die;
		
}

?>


        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            Importar Folha de Pagamento CSV
            <small>Salve seu Arquivo XLS em CSV e importe</small>      
          </h1>
          <ol class="breadcrumb">
            <li><a href="index.php"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Detalhes / Editar</li>
          </ol>
        </section>

        <!-- Main content -->
        <section class="content">
        <div class="box-footer" style="background-color:transparent;">                    
   
        </div>          
          <div class="row">
<form name="cadastro_produto" id="cadastro_produto" method="post" action="importar_folhadepagamento.php?Importar=Sim" enctype="multipart/form-data" class="form-default">
            <!-- left column -->
            <div class="col-md-6">
              <div class="box box-primary">
                <div class="box-header">
                  <h3 class="box-title">Dados da Importação</h3>           
                </div>
                <div class="box-body">
                  <div class="row">                                        

		<div class='col-xs-12'>
		<label for='filename'>Arquivo</label>
		  <input type='file' id='filename' name='filename' class='form-control' placeholder='filename' value=''>
		</div>

                  </div>
                    <div class="box-footer">
                    <button type="submit" class="btn btn-primary">Importar</button>
                    </div>                  
                </div><!-- /.box-body -->
              </div><!-- /.box -->                            
              
              
            </div><!--/.col (left) -->
</form>
          </div>   <!-- /.row -->
      
          
        </section><!-- /.content -->    
</body>
</html>